All Activity

This stream auto-updates     

  1. Yesterday
  2. Earlier
  3. SmartID

    Sawyer Components

    Found it x Thanks !
  4. SmartID

    Sawyer Components

    Good day, all ! Where can I find part number for Sawyer ? Some tehnical data with components and part number for all components. Ex : If a customer has the ring for lock/unlock gripper, damaged, where I can find the part number of that ring ? Many thanks !! Florin
  5. Honglu He

    Toggle Vacuum On/Off in SDK

    In Intera Mode it's easy to toggle the vacuum on/off by pressing the white "grasp" button. Is there a way to do that in SDK mode? I've tried to publish command to "/io/end_effector/right_vacuum_gripper/command", "/io/end_effector/right_vacuum_gripper/command", and "/robot/digital_io/right_valve_1b/state", but they didn't change the state of the vacuum.
  6. John McDonald

    Gazebo simulator

    What version of ubuntu, etc. are your running on? We have successfully run the simulator in our robotics class where student have worked with gazebo + SDK on ubuntu 16.04 / ROS kinetic where the students are not connected to the robot. We have done this with a direct install onto our lab machines, however we also have a docker setup that's available here: https://github.com/TheToby1/ros_sawyer Hope this helps!
  7. Rich Mercurio

    Original equipment electric parallel gripper

    Does anyone know where to get this gripper repaired?
  8. colin Henwood

    multiple Moxa iologic E1212 units

    Hi Lukasz I sadly can't see the topic as I don't have permission? cheers colin.
  9. Emmanuel10

    Flexure joint stiffness in Sawyer

    Dear Yichao, May I inquire whether you have been able to obtain the Sawyer's joint passive stiffness values? Kind regards, Emmanuel
  10. lsobczuk

    multiple Moxa iologic E1212 units

    Hello Colin, Look this topic: Best Lukasz
  11. colin Henwood

    multiple Moxa iologic E1212 units

    Hello Is it possible and has anyone daisy chained the moxa iologic e1212 units together to provide additional i/o? The units themselves seem a very cheap way to provide this. If not then I assume one can be added and addressed separately? The moxa website and manual state that the units themselves can be daisy-chained, but I guess the question is about how Sawyer/intera will cope. Thanks Colin.
  12. Thomas Weng

    Running Sawyer with Ubuntu 18.04

    Has anyone managed to upgrade the Sawyer from Ubuntu 16.04 to 18.04? Sensors are being released that are only compatible with 18.04, and we are wondering if it is even possible to upgrade to 18.04. Thanks, Thomas
  13. senaa

    Gazebo Support?

    Note, it's the newer examples which won't work, the pre 5.3.0 release examples should still work, so long as you use the 5.2.0 packages. git checkout release-5.2.0 in the intera_common, intera_sdk, sawyer_robot, and sawyer_simulator packages. catkin_make the workspace. The simulator should work now.
  14. Atmaraaj

    Gazebo Support?

    wtf. are your serious? why does rethink not at least offer a "forward the calls to moveit" node or something? only good thing is rethink and their product now went bankrupt. you really deserved it. what a relief for the rest of us poor engineers trying to work with this heap of ******
  15. Andrew B

    Gazebo simulator

    We have followed Mike Fairs instructions in regards to the gazebo simulator/unbunto etc. We cannot simulate the robot whatsoever, do we need to be physically connected to the robot & controller? I thought the whole point of the sim was so we didnt need to have the physical robot. If anybody has successfully done this could you please share the info asap, if this can be done without being connected to the robot it would be great when programming idea's off-line etc Thanks for any help here Andrew
  16. Steffen Scherf

    Start up

    please contact the Rethink Robotics support.
  17. guillaume.jigorel

    Start up

    What do you want to use, SDK or Intera?
  18. nselby

    Sawyer robot's connection with Robotiq gripper

    The links have changed in the past year. I think the new links are: Robotiq Assets: https://assets.robotiq.com/website-assets/support_documents/document/online/Hand-E_Instruction_Manual_Web_20190306.zip/Hand-E_Instruction_Manual_Web/Content/6. Specifications.htm The part number for the adapter is AGC-CPL-064-002. I'm looking into buying this to test on my Sawyer. I'll edit this post with an update later. Remember that Sawyer's end-of-arm tool plate is ISO 9409-1-40-4-M6.
  19. Flores337

    Start up

    I am currently trying to start up my Sawyer robot. When I power it up, it shows the sleeping eyes, but I cannot access the menu. After a couple of minutes the screen turns black with Sawyer SDK on it. I tried controlling it with a keyboard and nothing happens. I did notice that SO1 led is red inside the control panel. This robot was set up by someone else and they left so now I'm trying to get it to work again.
  20. Flores337

    Baxter showing Linux screen

    How would you go about doing a hard reset?
  21. seungback

    Sawyer Path Planning

    Mee too
  22. Julian B

    Baxter showing Linux screen

    Hello, when turning on the Baxter robot it shows "Invalid configuration information - please run SETUP program Time -of-day not set - please run SETUP program To continue press F1 To change setup option press F2 To run onboard diagnostics press F5 key" However, for running the SETUP I need a username and password which I do not know. Can anyone help with this issue? I believe a simple hard-reset should help to fix this problem? Thanks in advance Best Julian
  23. trinamiXAS

    Robot arm is not moving in SDK Mode

    Hi together, my sawyer is connected to my Workstation and I can ping the ROS master and also the robot echos the joints positions. The robot is also enabled and no error is occured. But nevertheless the robot arm can not be moved by the python script. There occures the error thet I have to check the network or reboot the robot. Both of them I have done. But nevertheless the robot is not moving. A few days ago, all was ok and the robot has been moved by the script. A College has plugged in an I/O-Device. can that be the problem. If true, how can I solve this prolem? Best Regards
  24. Hello, I'm now with the Sawyer's SDK world. I'm trying to create a rectangular motion with joint_trajectory_action_server.py and joint_trajectory_client.py scripts available on intera_examples and intera_interface. However, I'm not able to modify the axis of motion in client's script in order to obtain the desired shape of motion. Can someone help me please? Thank you for the attention
  25. Cheolhui

    Problems with the ROS connection to the Sawyer robot

    You should give the robot static IP address As the network setup figure implies, It is recommended to use the router and set the robot's static address in the same domain to your development PC. In ur case, it could be 158.42.xxx.yyy. (Since you mentioned ur ip address is 158.42.278.72. Is it static address or DHCP address ?) If you have any question regarding this, I would like to help you via e-mail ; mch5048@korea.ac.kr
  26. ZivB

    Problems with the ROS connection to the Sawyer robot

    Hi! Quick test you can do: Try to open a terminal and type: ping -c 4 <ROBOT HOSTNAME> see if that returns something other than a "timeout" or "could not resolve" errors if that's not good try to do the same with ping -c 4 <ROBOT IP> if the hostname ping test is giving an error but the ip doesn't it usually means that the DNS in your network is not defined properly.
  27. Hello, I am giovanni. I am trying to connect with the Sawyer Robot using ROS. The ROS_HOSTNAME.local of my robot is: 021705CP00067 and my IP is: 158.42.278.72. First, I'm doing "cd ~/ros_ws". Then, "./intera.sh" and this show me the following message: "EXITING - Please edit this file, modifying the 'robot_hostname' variable to reflect your Robot's current hostname." So, to solve that I insert in my console "gedit intera.sh", but after modify it I cannot connect with the robot. This is my "./intera.sh" code: #!/bin/bash # Copyright (c) 2013-2016, Rethink Robotics # All rights reserved. # This file is to be used in the *root* of your Catkin workspace. # This is a convenient script which will set up your ROS environment and # should be executed with every new instance of a shell in which you plan on # working with Intera. # Clear any previously set your_ip/your_hostname unset your_ip unset your_hostname #-----------------------------------------------------------------------------# # USER CONFIGURABLE ROS ENVIRONMENT VARIABLES # #-----------------------------------------------------------------------------# # Note: If ROS_MASTER_URI, ROS_IP, or ROS_HOSTNAME environment variables were # previously set (typically in your .bashrc or .bash_profile), those settings # will be overwritten by any variables set here. # Specify Robot's hostname robot_hostname="021705CP00067.local" # Set *Either* your computers ip address or hostname. Please note if using # your_hostname that this must be resolvable to the Robot. your_ip="158.42.278.72" your_hostname="giovanni.local" # Specify ROS distribution (e.g. indigo, hydro, etc.) ros_version="kinetic" #-----------------------------------------------------------------------------# tf=$(mktemp) trap "rm -f -- '${tf}'" EXIT # If this file specifies an ip address or hostname - unset any previously set # ROS_IP and/or ROS_HOSTNAME. # If this file does not specify an ip address or hostname - use the # previously specified ROS_IP/ROS_HOSTNAME environment variables. if [ -n "${your_ip}" ] || [ -n "${your_hostname}" ]; then unset ROS_IP && unset ROS_HOSTNAME else your_ip="${ROS_IP}" && your_hostname="${ROS_HOSTNAME}" fi # If argument provided, set robot_hostname to argument # If argument is sim or local, set robot_hostname to localhost if [ -n "${1}" ]; then if [[ "${1}" == "sim" ]] || [[ "${1}" == "local" ]]; then robot_hostname="021705CP00067" if [[ -z ${your_ip} || "${your_ip}" == "158.42.278.72" ]] && \ [[ -z ${your_hostname} || "${your_hostname}" == "giovanni.local" ]]; then your_hostname="giovanni" your_ip="" fi else robot_hostname="${1}" fi fi topdir=$(basename $(readlink -f $(dirname ${BASH_SOURCE[0]}))) cat <<-EOF > ${tf} [ -s "\${HOME}"/.bashrc ] && source "\${HOME}"/.bashrc [ -s "\${HOME}"/.bash_profile ] && source "\${HOME}"/.bash_profile # verify this script is moved out of intera_sdk folder if [[ -e "${topdir}/intera_sdk/package.xml" ]]; then echo -ne "EXITING - This script must be moved from the intera_sdk folder \ to the root of your catkin workspace.\n" exit 1 fi # verify ros_version lowercase ros_version="$(tr [A-Z] [a-z] <<< "${ros_version}")" # check for ros installation if [ ! -d "/opt/ros" ] || [ ! "$(ls -A /opt/ros)" ]; then echo "EXITING - No ROS installation found in /opt/ros." echo "Is ROS installed?" exit 1 fi # if set, verify user has modified the robot_hostname if [ -n ${robot_hostname} ] && \ [[ "${robot_hostname}" == "021705CP00067.local" ]]; then echo -ne "EXITING - Please edit this file, modifying the \ 'robot_hostname' variable to reflect your Robot's current hostname.\n" exit 1 fi # if set, verify user has modified their ip address (your_ip) if [ -n ${your_ip} ] && [[ "${your_ip}" == "158.42.278.72" ]]; then echo -ne "EXITING - Please edit this file, modifying the 'your_ip' \ variable to reflect your current IP address.\n" exit 1 fi # if set, verify user has modified their computer hostname (your_hostname) if [ -n ${your_hostname} ] && \ [[ "${your_hostname}" == "giovanni.local" ]]; then echo -ne "EXITING - Please edit this file, modifying the \ 'your_hostname' variable to reflect your current PC hostname.\n" exit 1 fi # verify user does not have both their ip *and* hostname set if [ -n "${your_ip}" ] && [ -n "${your_hostname}" ]; then echo -ne "EXITING - Please edit this file, modifying to specify \ *EITHER* your_ip or your_hostname.\n" exit 1 fi # verify that one of your_ip, your_hostname, ROS_IP, or ROS_HOSTNAME is set if [ -z "${your_ip}" ] && [ -z "${your_hostname}" ]; then echo -ne "EXITING - Please edit this file, modifying to specify \ your_ip or your_hostname.\n" exit 1 fi # verify specified ros version is installed ros_setup="/opt/ros/\${ros_version}" if [ ! -d "\${ros_setup}" ]; then echo -ne "EXITING - Failed to find ROS \${ros_version} installation \ in \${ros_setup}.\n" exit 1 fi # verify the ros setup.sh file exists if [ ! -s "\${ros_setup}"/setup.sh ]; then echo -ne "EXITING - Failed to find the ROS environment script: \ "\${ros_setup}"/setup.sh.\n" exit 1 fi # verify the user is running this script in the root of the catkin # workspace and that the workspace has been compiled. if [ ! -s "devel/setup.bash" ]; then echo -ne "EXITING - \n1) Please verify that this script is being run \ in the root of your catkin workspace.\n2) Please verify that your workspace \ has been built (source /opt/ros/\${ros_version}/setup.sh; catkin_make).\n\ 3) Run this script again upon completion of your workspace build.\n" exit 1 fi [ -n "${your_ip}" ] && export ROS_IP="${your_ip}" [ -n "${your_hostname}" ] && export ROS_HOSTNAME="${your_hostname}" [ -n "${robot_hostname}" ] && \ export ROS_MASTER_URI="http://${robot_hostname}:11311" # source the catkin setup bash script source devel/setup.bash # setup the bash prompt export __ROS_PROMPT=\${__ROS_PROMPT:-0} [ \${__ROS_PROMPT} -eq 0 -a -n "\${PROMPT_COMMAND}" ] && \ export __ORIG_PROMPT_COMMAND=\${PROMPT_COMMAND} __ros_prompt () { if [ -n "\${__ORIG_PROMPT_COMMAND}" ]; then eval \${__ORIG_PROMPT_COMMAND} fi if ! echo \${PS1} | grep '\[intera' &>/dev/null; then export PS1="\[\033[00;33m\][intera - \ \${ROS_MASTER_URI}]\[\033[00m\] \${PS1}" fi } if [ "\${TERM}" != "dumb" ]; then export PROMPT_COMMAND=__ros_prompt __ROS_PROMPT=1 elif ! echo \${PS1} | grep '\[intera' &>/dev/null; then export PS1="[intera - \${ROS_MASTER_URI}] \${PS1}" fi EOF ${SHELL} --rcfile ${tf} rm -f -- "${tf}" trap - EXIT # vim: noet Someone knows what can I do? Thanks for all
  1. Load more activity